#ifndef __POPDOWN_H_
#define __POPDOWN_H_

#include <gtk/gtk.h>
#include <vector>
#include <string>

class GObject;
class Window;
class SNMPObject;

//de adaugat un membru target::SNMPObject
//o functie setTarget(SNMPObject *)
//si o functie getTarget();
class PopDown:public GObject
{
private:
	SNMPObject *_target;
	vector<GtkMenuItem *> _item;
	vector<string> _command;
public:
	PopDown(const string &namstr);
	~PopDown();
	
	void addItem(const string &name, const string &command);
	void show(GdkEventButton *);
	void setTarget(SNMPObject *);
	string getCommand(GtkWidget *);
	SNMPObject* getTarget();
};

#endif;
