#ifndef __PARSER_H
#define __PARSER_H

#include <string>
#include <vector>
using namespace std;

class SNMPObject;

class Parser
{
private:
    string _background;
    int _width;
    int _height;
    int _polldelay;
    string _font;
    vector<SNMPObject *> _obj;
public:
    Parser(const string &filename);
	~Parser();
	
    const string& getBackground();
    const string& getFont();
    int getWidth();
    int getHeight();
    int getTimeout(){ return _polldelay; };
    vector<SNMPObject *>& getObjects(){ return _obj; };
};

#endif
