#include "GObject.h"
#include "ScrolledWindow.h"

ScrolledWindow::ScrolledWindow(const string & namstr):
	GObject(namstr, (GtkWidget *)NULL)
{
    GtkWidget *scr;
    scr=gtk_scrolled_window_new((GtkAdjustment *)NULL,(GtkAdjustment *)NULL);
    gtk_scrolled_window_set_policy(GTK_SCROLLED_WINDOW(scr), GTK_POLICY_AUTOMATIC, GTK_POLICY_ALWAYS);
    setWidget(scr);
}

void ScrolledWindow::setChild(GtkWidget *w)
{
    gtk_scrolled_window_add_with_viewport(GTK_SCROLLED_WINDOW(getWidget() ),w);
}

