#include <gtk/gtk.h>

#include "GObject.h"
#include "StatusBar.h"

StatusBar::StatusBar(const string & namstr="StatusBar"):
	GObject(namstr,(GtkWidget *)NULL)
{
	GtkWidget *statusbar=gtk_statusbar_new();
	_context_id=gtk_statusbar_get_context_id(GTK_STATUSBAR(statusbar),"STATUSBAR");
	setWidget(statusbar);
}

void StatusBar::pop()
{
	gtk_statusbar_pop(GTK_STATUSBAR(_widget),_context_id);
}

void StatusBar::push(const string & text)
{
	pop();
	gtk_statusbar_push(GTK_STATUSBAR(_widget),_context_id,text.c_str());
}
