#ifndef __WINDOW_H_
#define __WINDOW_H_

#include <gtk/gtk.h>
#include <string>
#include <vector>

using namespace std;

class GObject;

class Window
{
private:
	vector<GObject*> _objects;
public:
	Window(int=100,int=100);
	GtkWidget* getWidget(const string &);
	void addWidget(const string &, GtkWidget *w);
	void addWidget(GObject *);
	
	void draw();
	
	~Window();
};

#endif
